Name:    upm
Version: 1.7.0
Release: 2%{?dist}
Summary: A high level library for sensors and actuators
License: MIT
URL:     http://iotdk.intel.com/docs/master/upm/index.html

Source0: https://github.com/intel-iot-devkit/upm/archive/v%{version}.tar.gz

# https://github.com/intel-iot-devkit/upm/pull/666
Patch1: 0001-Use-IdleNotificationDeadline-as-deprecated-IdleNotif.patch
# https://github.com/intel-iot-devkit/upm/pull/667
Patch2: 0001-initise-all-uint8_t-variables-to-0.patch
Patch3: upm-1.7-fix-leds.patch

# To quote "Only x86, arm and mock platforms currently supported"
ExcludeArch:   %{power64} s390x

BuildRequires: cmake
BuildRequires: gcc gcc-c++
BuildRequires: libjpeg-turbo-devel
BuildRequires: mraa-devel
BuildRequires: nodejs-devel nodejs-packaging nodejs-mraa
BuildRequires: python3-devel python3-setuptools python3-mraa
BuildRequires: swig
BuildRequires: doxygen graphviz sphinx

%description
UPM is a high level repository that provides software drivers for a wide variety 
of commonly used sensors and actuators. These software drivers interact with the 
underlying hardware platform through calls to MRAA APIs.

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package -n python3-upm
Summary: Python3 bindings for sensors and actuators
License: GPLv2+
%{?python_provide:%python_provide python3-upm}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python3-mraa

%description -n python3-upm
Python3 bindings for sensors and actuators

%package -n nodejs-upm
Summary: NodeJS package for sensors and actuators
License: GPLv2+
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: nodejs-mraa

%description -n nodejs-upm
NodeJS bindings for sensors and actuators

%prep
%autosetup -p1

find . -name \*.cxx -exec chmod -x {} \;

%build
if [ "%{_libdir}" = "%{_prefix}/lib64" ]; then
  %cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH=ON -DUSE_LIB64:BOOL=ON -DVERSION:STRING=%{version} .
else
  %cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH=ON -DUSE_LIB64:BOOL=OFF -DVERSION:STRING=%{version} .
fi

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

rm -f %{buildroot}/%{_includedir}/upm/upm_utilities.hpp

# Symlink nodejs dependencies
%nodejs_symlink_deps

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/upm/
%{_datadir}/upm/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/lib%{name}*.so

%files -n python3-upm
%{python3_sitearch}/upm/

%files -n nodejs-upm
%{nodejs_sitelib}/jsupm_*/

%changelog
* Mon Sep 10 2018 Peter Robinson <pbrobinson@fedoraproject.org> 1.7.0-2
- Add nodejs-mraa dep for nodejs-upm sub package

* Sun Sep  9 2018 Peter Robinson <pbrobinson@fedoraproject.org> 1.7.0-1
- New upstream 1.7.0 release

* Thu Oct 12 2017 Peter Robinson <pbrobinson@fedoraproject.org> 1.5.0-1
- New upstream 1.5.0 release

* Tue May 16 2017 Peter Robinson <pbrobinson@fedoraproject.org> 1.3.0-1
- Initial package
